<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabaseConfig..::.SetCompression Method
BTreeDatabaseConfig Class See Also

Enable compression of the key/data pairs stored in the database, using the default compression and decompression functions.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void SetCompression()

Visual Basic (Declaration)

    Public Sub SetCompression

Visual C++

    public:
    void SetCompression()

# Remarks

The default functions perform prefix compression on keys, and prefix compression on data items for duplicate keys.

# See Also

BTreeDatabaseConfig Class
SetCompression Overload
BerkeleyDB Namespace